Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359801 - unable to read system container's journals
Summary: unable to read system container's journals
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: oci-systemd-hook
Version: 7.2
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Mrunal Patel
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 13:13 UTC by Qian Cai
Modified: 2016-08-26 19:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-26 19:27:37 UTC


Attachments (Terms of Use)

Description Qian Cai 2016-07-25 13:13:38 UTC
Description of problem:
# cat Dockerfile 
FROM       rhel7
ENV container docker
RUN yum -y install httpd; yum clean all; systemctl enable httpd
CMD [ "/sbin/init" ]

Start the container just been built.

# machinectl status fdceae607457452e5062789f3cbba651
fdceae607457452e5062789f3cbba651(66646365616536303734353734353265)
           Since: Thu 2016-07-21 21:54:17 UTC; 16h ago
          Leader: 28859 (systemd)
fdceae607457452e5062789f3cbba651(66646365616536303734353734353265)
           Since: Thu 2016-07-21 21:54:17 UTC; 16h ago
          Leader: 28859 (systemd)
         Service: docker; class container
            Root: /var/lib/docker/devicemapper/mnt/db0d6c4f88c7516326c5a5716a4a8
         Address: 172.17.0.2
                  fe80::42:acff:fe11:2
              OS: Red Hat Enterprise Linux Server 7.2 (Maipo)
            Unit: docker-fdceae607457452e5062789f3cbba6517e0d09f729e52f71635e0f3
                  ├─28859 /sbin/init
                  └─system.slice
                    ├─console-getty.service
                    │ └─28904 /sbin/agetty --noclear --keep-baud console 115200 
                    ├─systemd-logind.service
                    │ └─28902 /usr/lib/systemd/systemd-logind
                    ├─dbus.service
                    │ └─28901 /bin/dbus-daemon --system --address=systemd: --nof
                    ├─httpd.service
                    │ ├─28900 /usr/sbin/httpd -DFOREGROUND
                    │ ├─28906 /usr/sbin/httpd -DFOREGROUND
                    │ ├─28907 /usr/sbin/httpd -DFOREGROUND
                    │ ├─28908 /usr/sbin/httpd -DFOREGROUND
                    │ ├─28909 /usr/sbin/httpd -DFOREGROUND

# journalctl -M fdceae607457452e5062789f3cbba651
No journal files were found.

Version-Release number of selected component (if applicable):
oci-systemd-hook-0.1.4-4.git41491a3.el7.x86_64
atomic host 7.2.6

How reproducible:
always

Comment 2 Daniel Walsh 2016-07-26 21:03:08 UTC
This is working for me in Rawhide.

Comment 3 Daniel Walsh 2016-08-20 08:43:31 UTC
Is this a case of mount namespaces causing problems.  

Does docker.service include MountFlags=slave?

Is there anything in the directory /var/lib/docker/devicemapper/mnt/db0d6c4f88c7516326c5a5716a4a8/var/log/journal?

What does strace journalctl -M fdceae607457452e5062789f3cbba651 show journal trying to open?

Comment 4 Qian Cai 2016-08-22 13:05:38 UTC
(In reply to Daniel Walsh from comment #3)
> Is this a case of mount namespaces causing problems.  
Probably is.
> 
> Does docker.service include MountFlags=slave?
Yes
> 
> Is there anything in the directory
> /var/lib/docker/devicemapper/mnt/db0d6c4f88c7516326c5a5716a4a8/var/log/
> journal?
Nope.

# find /var/lib/docker/devicemapper/mnt/d6fab2b21e8b39203223c55bb8f83d43ec6f7005bd536a6d3cfac996dd36f93e
/var/lib/docker/devicemapper/mnt/d6fab2b21e8b39203223c55bb8f83d43ec6f7005bd536a6d3cfac996dd36f93e

Although, it is possible to see the journal inside the container.

# docker exec -it 2a846861affc bash
[root@2a846861affc /]# journalctl
...
Aug 22 08:55:38 2a846861affc httpd[31]: AH00558: httpd: Could not reliably determine the server's fully qualified domain name, using 172.17.0.2. Set the 'ServerName' directive globally to suppress this message
...
# ls -l /var/log/journal/
total 4
drwxr-sr-x+ 2 root systemd-journal 27 Aug 22 08:55 2a846861affc497dc5594e5be3f94d76

> 
> What does strace journalctl -M fdceae607457452e5062789f3cbba651 show journal
> trying to open?
# strace journalctl -M 2a846861affc497dc5594e5be3f94d76
execve("/bin/journalctl", ["journalctl", "-M", "2a846861affc497dc5594e5be3f94d76"], [/* 20 vars */]) = 0
brk(0)                                  = 0x7fc7db3db000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fc7d9a35000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=26761, ...}) = 0
mmap(NULL, 26761, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7fc7d9a2e000
close(3)                                = 0
open("/lib64/liblzma.so.5", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0000/\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=153192, ...}) = 0
mmap(NULL, 2245240, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7fc7d95f0000
mprotect(0x7fc7d9614000, 2093056, PROT_NONE) = 0
mmap(0x7fc7d9813000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x23000) = 0x7fc7d9813000
close(3)                                = 0
open("/lib64/libgcrypt.so.11", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0u\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=534488, ...}) = 0
mmap(NULL, 2621456, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7fc7d936f000
mprotect(0x7fc7d93eb000, 2097152, PROT_NONE) = 0
mmap(0x7fc7d95eb000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x7c000) = 0x7fc7d95eb000
mmap(0x7fc7d95ef000, 16, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7fc7d95ef000
close(3)                                = 0
open("/lib64/librt.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300\"\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=44096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fc7d9a2d000
mmap(NULL, 2128952, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7fc7d9167000
mprotect(0x7fc7d916e000, 2093056, PROT_NONE) = 0
mmap(0x7fc7d936d000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6000) = 0x7fc7d936d000
close(3)                                = 0
open("/lib64/libacl.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\37\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=37056, ...}) = 0
mmap(NULL, 2130560, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7fc7d8f5e000
mprotect(0x7fc7d8f65000, 2097152, PROT_NONE) = 0
mmap(0x7fc7d9165000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x7000) = 0x7fc7d9165000
close(3)                                = 0
open("/lib64/libqrencode.so.3", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 .\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=53688, ...}) = 0
mmap(NULL, 2147752, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7fc7d8d51000
mprotect(0x7fc7d8d5d000, 2093056, PROT_NONE) = 0
mmap(0x7fc7d8f5c000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xb000) = 0x7fc7d8f5c000
close(3)                                = 0
open("/lib64/libgcc_s.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360*\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=88720, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fc7d9a2c000
mmap(NULL, 2184192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7fc7d8b3b000
mprotect(0x7fc7d8b50000, 2093056, PROT_NONE) = 0
mmap(0x7fc7d8d4f000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x14000) = 0x7fc7d8d4f000
close(3)                                = 0
open("/lib64/libpthread.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240l\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=142304, ...}) = 0
mmap(NULL, 2208864, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7fc7d891f000
mprotect(0x7fc7d8935000, 2097152, PROT_NONE) = 0
mmap(0x7fc7d8b35000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x16000) = 0x7fc7d8b35000
mmap(0x7fc7d8b37000, 13408, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7fc7d8b37000
close(3)                                = 0
open("/lib64/libc.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 \34\2\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=2112384, ...}) = 0
mmap(NULL, 3936832, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7fc7d855d000
mprotect(0x7fc7d8714000, 2097152, PROT_NONE) = 0
mmap(0x7fc7d8914000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1b7000) = 0x7fc7d8914000
mmap(0x7fc7d891a000, 16960, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7fc7d891a000
close(3)                                = 0
open("/lib64/libgpg-error.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0000\n\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=19384, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fc7d9a2b000
mmap(NULL, 2113656, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7fc7d8358000
mprotect(0x7fc7d835c000, 2093056, PROT_NONE) = 0
mmap(0x7fc7d855b000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3000) = 0x7fc7d855b000
close(3)                                = 0
open("/lib64/libdl.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\16\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=19520, ...}) = 0
mmap(NULL, 2109744, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7fc7d8154000
mprotect(0x7fc7d8157000, 2093056, PROT_NONE) = 0
mmap(0x7fc7d8356000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x7fc7d8356000
close(3)                                = 0
open("/lib64/libattr.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\23\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=19888, ...}) = 0
mmap(NULL, 2113904, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7fc7d7f4f000
mprotect(0x7fc7d7f53000, 2093056, PROT_NONE) = 0
mmap(0x7fc7d8152000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3000) = 0x7fc7d8152000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fc7d9a2a000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fc7d9a29000
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fc7d9a27000
arch_prctl(ARCH_SET_FS, 0x7fc7d9a27780) = 0
mprotect(0x7fc7d8914000, 16384, PROT_READ) = 0
mprotect(0x7fc7d8152000, 4096, PROT_READ) = 0
mprotect(0x7fc7d8356000, 4096, PROT_READ) = 0
mprotect(0x7fc7d855b000, 4096, PROT_READ) = 0
mprotect(0x7fc7d8b35000, 4096, PROT_READ) = 0
mprotect(0x7fc7d8d4f000, 4096, PROT_READ) = 0
mprotect(0x7fc7d8f5c000, 4096, PROT_READ) = 0
mprotect(0x7fc7d9165000, 4096, PROT_READ) = 0
mprotect(0x7fc7d936d000, 4096, PROT_READ) = 0
mprotect(0x7fc7d95eb000, 4096, PROT_READ) = 0
mprotect(0x7fc7d9813000, 4096, PROT_READ) = 0
stat("/etc/sysconfig/64bit_strstr_via_64bit_strstr_sse2_unaligned", 0x7ffcbd2db770) = -1 ENOENT (No such file or directory)
mprotect(0x7fc7d9aa7000, 16384, PROT_READ) = 0
mprotect(0x7fc7d9a36000, 4096, PROT_READ) = 0
munmap(0x7fc7d9a2e000, 26761)           = 0
set_tid_address(0x7fc7d9a27a50)         = 3481
set_robust_list(0x7fc7d9a27a60, 24)     = 0
rt_sigaction(SIGRTMIN, {0x7fc7d8925780, [], SA_RESTORER|SA_SIGINFO, 0x7fc7d892e100}, NULL, 8) = 0
rt_sigaction(SIGRT_1, {0x7fc7d8925810, [], SA_RESTORER|SA_RESTART|SA_SIGINFO, 0x7fc7d892e100}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
getrlimit(RLIMIT_STACK, {rlim_cur=8192*1024, rlim_max=RLIM64_INFINITY}) = 0
brk(0)                                  = 0x7fc7db3db000
brk(0x7fc7db3fc000)                     = 0x7fc7db3fc000
access("/etc/system-fips", F_OK)        = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/locale-archive", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=2098576, ...}) = 0
mmap(NULL, 2098576, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7fc7d7d4e000
close(3)                                = 0
open("/proc/self/stat", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fc7d9a34000
read(3, "3481 (journalctl) R 3478 3478 23"..., 1024) = 344
close(3)                                = 0
munmap(0x7fc7d9a34000, 4096)            = 0
rt_sigaction(SIGWINCH, {0x7fc7d9a809f0, [WINCH], SA_RESTORER|SA_RESTART, 0x7fc7d8592670}, {SIG_DFL, [], 0}, 8) = 0
rt_sigaction(SIGBUS, {0x7fc7d9a63bc0, [], SA_RESTORER|SA_SIGINFO, 0x7fc7d892e100}, {SIG_DFL, [], 0}, 8) = 0
setrlimit(RLIMIT_NOFILE, {rlim_cur=16*1024, rlim_max=16*1024}) = 0
open("/run/systemd/machines/2a846861affc497dc5594e5be3f94d76", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=395, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=395, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fc7d9a34000
read(3, "# This is private data. Do not p"..., 4096) = 395
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x7fc7d9a34000, 4096)            = 0
gettid()                                = 3481
syscall_318(0x7fc7d9aab670, 0x10, 0x1, 0x18, 0x101010101010101, 0x7fc7db3dc240) = -1 (errno 38)
open("/dev/urandom", O_RDONLY|O_NOCTTY|O_CLOEXEC) = 3
read(3, "1\217\371GoNk\236Y\246\324\310\314\20557", 16) = 16
close(3)                                = 0
openat(AT_FDCWD, "/var/lib/docker/devicemapper/mnt/d6fab2b21e8b39203223c55bb8f83d43ec6f7005bd536a6d3cfac996dd36f93e/rootfs/run/log/journal", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
openat(AT_FDCWD, "/var/lib/docker/devicemapper/mnt/d6fab2b21e8b39203223c55bb8f83d43ec6f7005bd536a6d3cfac996dd36f93e/rootfs/var/log/journal", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
writev(2, [{"No journal files were found.", 28}, {"\n", 1}], 2No journal files were found.
) = 29
ioctl(1, SNDCTL_TMR_TIMEBASE or SNDRV_TIMER_IOCTL_NEXT_DEVICE or TCGETS, {B9600 opost isig icanon echo ...}) = 0
ioctl(1, TIOCGWINSZ, {ws_row=24, ws_col=80, ws_xpixel=560, ws_ypixel=336}) = 0
pipe([3, 4])                            = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7fc7d9a27a50) = 3482
dup2(4, 1)                              = 1
close(3)                                = 0
close(4)                                = 0
close(1)                                = 0
kill(3482, SIGCONT)                     = 0
{si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=3482, si_status=0, si_utime=0, si_stime=0}, WEXITED, NULL) = 0
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=3482, si_status=0, si_utime=0, si_stime=0} ---
exit_group(1)                           = ?
+++ exited with 1 +++

Comment 5 Qian Cai 2016-08-22 13:13:14 UTC
FYI, removed Mountflags=slave makes journalctl -M <container ID> works fine.

Comment 6 Mrunal Patel 2016-08-22 17:39:05 UTC
Okay, discussed with Vivek and he is going to work on a garbage collector to see if we can get rid of MountFlags=slave.

Comment 7 Daniel Walsh 2016-08-23 09:19:16 UTC
The MountFlags is causing lots of issues with oci-register-machine and oci-system-hook.  We are pulling oci-register-machine out of rhel7.2.7 release because it is causing dockerd to crash for some reason, that we have not diagnosed yet.

I also am seeing issues with journalcdl -M <container ID> not working in Rawhide when using ovleralfs as a backend.  It seems mount namespace problem, since the host can not see the rootfs that is storing the journal content.

ls /var/lib/docker/overlay/50a9c4b04eeea514c6459fe5a51e8994134df3f7ab62145c483c610e3e514311/merged/

Has no content on the host.

Comment 8 Daniel Walsh 2016-08-26 19:27:37 UTC
I am closing this bug since there are other bugs talking about docker running with a slave mount point.


Note You need to log in before you can comment on or make changes to this bug.